import { jsx } from "react/jsx-runtime";
import { Star as Star$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Star = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Star", ...props, children: /* @__PURE__ */ jsx(Star$1, { weight: variant }) });
  }
);
Star.displayName = "Star";
Object.assign(Star, { isGdsIcon: true });
export {
  Star
};
